Package org.apache.tapestry5.internal.services.meta

## Class MetaWorkerImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.meta.MetaWorkerImpl

- All Implemented Interfaces:
    `MetaWorker`, `ComponentClassTransformWorker2`

      public class MetaWorkerImpl
      extends Object
      implements MetaWorker, ComponentClassTransformWorker2

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MetaWorkerImpl​(Map<Class,​MetaDataExtractor> configuration)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ComponentClassTransformWorker2` | `getWorker()` | Returns the worker that performs transformations (in 5.2, MetaWorker implemented ComponentClassTransformWorker).
    `void` | `transform​(PlasticClass plasticClass, TransformationSupport support, MutableComponentModel model)` | Invoked to perform part of the transformation of the `PlasticClass`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetaWorkerImpl

          public MetaWorkerImpl​(Map<Class,​MetaDataExtractor> configuration)

  - ### Method Detail

    - #### getWorker

          public ComponentClassTransformWorker2 getWorker()

      Description copied from interface: `MetaWorker`
      Returns the worker that performs transformations (in 5.2, MetaWorker implemented ComponentClassTransformWorker).
      Specified by:
        `getWorker` in interface `MetaWorker`
      Returns:
        worker that implements the meta data analysis

    - #### transform

          public void transform​(PlasticClass plasticClass,
                                TransformationSupport support,
                                MutableComponentModel model)

      Description copied from interface: `ComponentClassTransformWorker2`
      Invoked to perform part of the transformation of the `PlasticClass`.
      Specified by:
        `transform` in interface `ComponentClassTransformWorker2`
      Parameters:
        `plasticClass` - component class being transformed
        `support` - additional utilities needed during the transformation
        `model` - the model for the component being transformed